AnsiConsoleUrlMappingsRenderer (Grails 6.0.0)

Package: org.grails.web.mapping.reporting

## [Groovy] Class AnsiConsoleUrlMappingsRenderer

- org.grails.web.mapping.reporting.AnsiConsoleUrlMappingsRenderer

- All Implemented Interfaces and Traits:
    UrlMappingsRenderer

      @groovy.transform.CompileStatic
      class AnsiConsoleUrlMappingsRenderer
      extends java.lang.Object
      implements UrlMappingsRenderer

  Renders URL mappings to the console

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_ACTION` |
    `private boolean` | `isAnsiEnabled` |
    `private java.io.PrintStream` | `targetStream` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `isAnsiEnabled`
    `java.io.PrintStream` | `targetStream`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AnsiConsoleUrlMappingsRenderer (java.io.PrintStream targetStream)`
    `AnsiConsoleUrlMappingsRenderer ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `bold(java.lang.String text)`
    `` | `java.lang.String` | `endBar()`
    `` | `java.lang.String` | `error(java.lang.String errorCode)`
    `` | `protected java.lang.String` | `establishUrlPattern(UrlMapping urlMapping, boolean withAnsi, int padding)`
    `` | `static java.lang.String` | `getPadding(java.lang.String padding, int length)`
    `` | `java.lang.String` | `header(java.lang.String text)`
    `` | `java.lang.String` | `header(java.lang.String text, java.lang.String description)`
    `` | `protected java.lang.String` | `padAnsi(java.lang.String ansiString, java.lang.String nonAnsiString, int padding)`
    `` | `void` | `render(java.util.List<UrlMapping> urlMappings)`
    `` | `java.lang.String` | `variable(java.lang.String name, boolean withAnsi)`
    `` | `java.lang.String` | `yellowBar()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String DEFAULT_ACTION

    - #### private boolean isAnsiEnabled

    - #### private java.io.PrintStream targetStream

  - ### Property Detail

    - #### boolean isAnsiEnabled

    - #### java.io.PrintStream targetStream

  - ### Constructor Detail

    - #### AnsiConsoleUrlMappingsRenderer(java.io.PrintStream targetStream)

    - #### AnsiConsoleUrlMappingsRenderer()

  - ### Method Detail

    - #### java.lang.String bold(java.lang.String text)

    - #### java.lang.String endBar()

    - #### java.lang.String error(java.lang.String errorCode)

    - #### protected java.lang.String establishUrlPattern(UrlMapping urlMapping, boolean withAnsi, int padding)

    - #### static java.lang.String getPadding(java.lang.String padding, int length)

    - #### java.lang.String header(java.lang.String text)

    - #### java.lang.String header(java.lang.String text, java.lang.String description)

    - #### protected java.lang.String padAnsi(java.lang.String ansiString, java.lang.String nonAnsiString, int padding)

    - #### @java.lang.Override void render(java.util.List<UrlMapping> urlMappings)

    - #### java.lang.String variable(java.lang.String name, boolean withAnsi)

    - #### java.lang.String yellowBar()